Index: trunk/gli/src/org/greenstone/gatherer/Dictionary.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/Dictionary.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/Dictionary.java	(revision 5527)
@@ -311,5 +311,5 @@
 		SwingUtilities.invokeLater(task);
 	    }
-				// Register if necessary
+	    // Register if necessary
 	    if(!already_registered) {
 		put(component, args);
@@ -320,5 +320,5 @@
     public void register(JDialog component, String[] args, boolean already_registered) {
 	if(component != null) {
-				// Determine the key
+	    // Determine the key
 	    String key = "";
 	    if(!already_registered) {
@@ -328,9 +328,9 @@
 		key = args[args.length - 1];
 	    }
-				// Update the component using the AWTEvent queue
+	    // Update the component using the AWTEvent queue
 	    String value = get(key, args);
 	    ChangeTask task = new JDialogChangeTask(component, key, value);
 	    SwingUtilities.invokeLater(task);
-				// Register as necessary
+	    // Register as necessary
 	    if(!already_registered) {
 		args = ArrayTools.add(args, key);
@@ -342,5 +342,5 @@
     public void register(JFrame component, String[] args, boolean already_registered) {
 	if(component != null) {
-				// Determine the key
+	    // Determine the key
 	    String key = "";
 	    if(!already_registered) {
@@ -350,9 +350,9 @@
 		key = args[args.length - 1];
 	    }
-				// Update the component using the AWTEvent queue
+	    // Update the component using the AWTEvent queue
 	    String value = get(key, args);
 	    ChangeTask task = new JFrameChangeTask(component, key, value);
 	    SwingUtilities.invokeLater(task);
-				// Register as necessary
+	    // Register as necessary
 	    if(!already_registered) {
 		args = ArrayTools.add(args, key);
@@ -364,5 +364,5 @@
     public void register(JLabel component, String[] args, boolean already_registered) {
 	if(component != null) {
-				// Determine the key
+	    // Determine the key
 	    String key = "";
 	    if(!already_registered) {
@@ -372,9 +372,9 @@
 		key = args[args.length - 1];
 	    }
-				// Update the component using the AWTEvent queue
+	    // Update the component using the AWTEvent queue
 	    String value = get(key, args);
 	    ChangeTask task = new JLabelChangeTask(component, key, value);
 	    SwingUtilities.invokeLater(task);
-				// Register as necessary
+	    // Register as necessary
 	    if(!already_registered) {
 		args = ArrayTools.add(args, key);
@@ -386,11 +386,11 @@
     public void register(JTabbedPane component, String[] args, boolean already_registered) {
 	if(component != null) {
-				// If not already registered then args will be null.
+	    // If not already registered then args will be null.
 	    if(!already_registered) {
 		args = new String[component.getTabCount()];
 	    }
-				// Iterate through the tabbed panes tabs, updating values and recording the original key of each item in args.
+	    // Iterate through the tabbed panes tabs, updating values and recording the original key of each item in args.
 	    for(int i = 0; i < args.length; i++) {
-		if(args[i] == null) {
+		if (args[i] == null) {
 		    args[i] = component.getTitleAt(i);
 		}
@@ -400,16 +400,18 @@
 		SwingUtilities.invokeLater(task);
 	    }
-				// Register if necessary
-	    if(!already_registered) {
-		put(component, args);
-	    }
-	}
-    }
+	    // Register if necessary
+	    if(!already_registered) {
+		put(component, args);
+	    }
+	}
+    }
+
     /** Register a text component. */
-    public void register(JTextComponent component, String[] args, boolean already_registered) {
-	if(component != null) {
-				// Determine the key
+    public void register(JTextComponent component, String[] args, boolean already_registered)
+    {
+	if (component != null) {
+	    // Determine the key
 	    String key = "";
-	    if(!already_registered) {
+	    if (!already_registered) {
 		key = component.getText();
 	    }
@@ -417,11 +419,12 @@
 		key = args[args.length - 1];
 	    }
-				// Update the component using the AWTEvent queue
+
+	    // Update the component using the AWTEvent queue
 	    String value = get(key, args);
 	    String tooltip = get(key + "_Tooltip", (String[])null);
 	    ChangeTask task = new JTextComponentChangeTask(component, key, value, tooltip);
 	    SwingUtilities.invokeLater(task);
-				// Register as necessary
-	    if(!already_registered) {
+	    // Register as necessary
+	    if (!already_registered) {
 		args = ArrayTools.add(args, key);
 		put(component, args);
@@ -429,13 +432,14 @@
 	}
     }
+
     /** Register a tree component. */
     public void register(JTree component, String[] args, boolean already_registered) {
 	if(component != null) {
-				// Retrieve the tooltip using the components name
+	    // Retrieve the tooltip using the components name
 	    String key = component.getName();
 	    String tooltip = get(key + "_Tooltip", (String[])null);
 	    ChangeTask task = new JTreeChangeTask(component, key, tooltip);
 	    SwingUtilities.invokeLater(task);
-				// A tree can never be previously registered. In otherwords the keys are harvested each time. Thus for a tree to remain consistant its up to the implementer to implement DictionaryTreeNode for the tree nodes!
+	    // A tree can never be previously registered. In otherwords the keys are harvested each time. Thus for a tree to remain consistant its up to the implementer to implement DictionaryTreeNode for the tree nodes!
 	    ArrayList nodes = new ArrayList();
 	    nodes.add(component.getModel().getRoot());
@@ -456,5 +460,5 @@
     public void register(TitledBorder component, String[] args, boolean already_registered) {
 	if(component != null) {
-				// Determine the key
+	    // Determine the key
 	    String key = "";
 	    if(!already_registered) {
@@ -464,9 +468,9 @@
 		key = args[args.length - 1];
 	    }
-				// Update the component using the AWTEvent queue
+	    // Update the component using the AWTEvent queue
 	    String value = get(key, args);
 	    ChangeTask task = new TitledBorderChangeTask(component, key, value);
 	    SwingUtilities.invokeLater(task);
-				// Register as necessary
+	    // Register as necessary
 	    if(!already_registered) {
 		args = ArrayTools.add(args, key);
Index: trunk/gli/src/org/greenstone/gatherer/Message.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/Message.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/Message.java	(revision 5527)
@@ -114,14 +114,14 @@
 	    break;
 	case BROWSER:
-	    source_str = gatherer.dictionary.get("Source.Browser");
+	    source_str = gatherer.dictionary.get("GUI.Hunt");
 	    break;
 	case MIRRORING:
-	    source_str = gatherer.dictionary.get("Source.Mirroring");
+	    source_str = gatherer.dictionary.get("GUI.Mirror");
 	    break;
 	case COLLECT:
-	    source_str = gatherer.dictionary.get("Source.Collect");
+	    source_str = gatherer.dictionary.get("GUI.Gather");
 	    break;
 	case METAEDIT:
-	    source_str = gatherer.dictionary.get("Source.MetaEdit");
+	    source_str = gatherer.dictionary.get("GUI.Enrich");
 	    break;
 	case BUILDING:
Index: trunk/gli/src/org/greenstone/gatherer/cdm/ArgumentConfiguration.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/ArgumentConfiguration.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/ArgumentConfiguration.java	(revision 5527)
@@ -89,5 +89,5 @@
 	setSize(SIZE);
 	setTitle(get("CDM.ArgumentConfiguration.Title"));
-	setJMenuBar(new SimpleMenuBar("7.0")); // can we tell whether we are doing a classifier or plugin, to make the help more specific??	
+	setJMenuBar(new SimpleMenuBar("designingacollection")); // can we tell whether we are doing a classifier or plugin, to make the help more specific??	
 	JPanel button_pane = new JPanel();
 	cancel = new JButton(get("General.Cancel"));
Index: trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 5527)
@@ -51,5 +51,4 @@
 import org.greenstone.gatherer.file.FileSystemModel;
 import org.greenstone.gatherer.gui.LockFileDialog;
-import org.greenstone.gatherer.gui.MetaEditPane;
 import org.greenstone.gatherer.gui.NewCollectionMetadataPrompt;
 import org.greenstone.gatherer.msm.ElementWrapper;
Index: trunk/gli/src/org/greenstone/gatherer/gui/EditorDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/EditorDialog.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/EditorDialog.java	(revision 5527)
@@ -82,5 +82,5 @@
 	setSize(SIZE);
 	setTitle(Gatherer.dictionary.get("General.Edit"));
-	setJMenuBar(new SimpleMenuBar("6.1"));
+	setJMenuBar(new SimpleMenuBar("theenrichview"));
 	// Create
 	cancel = new JButton(Gatherer.dictionary.get("General.Cancel"));
Index: trunk/gli/src/org/greenstone/gatherer/gui/FileAssociationDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/FileAssociationDialog.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/FileAssociationDialog.java	(revision 5527)
@@ -96,5 +96,5 @@
 	setSize(SIZE);
 	setTitle(get("FileAssociationDialog.Title"));
-	setJMenuBar(new SimpleMenuBar("0"));// need to find an appropriate help page
+	setJMenuBar(new SimpleMenuBar("fileassociations"));
 	JPanel content_pane = (JPanel) getContentPane();
 	content_pane.setBackground(Gatherer.config.getColor("coloring.collection_heading_background", false));
Index: trunk/gli/src/org/greenstone/gatherer/gui/Filter.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/Filter.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/Filter.java	(revision 5527)
@@ -54,5 +54,5 @@
     /** The other filters in this run of filters, used to ensure they all show the same thing. */
     private ArrayList others = null;
-    /** Is this the filter filter of this run of filters created (later filters will share the same information). */
+    /** Is this the first filter of this run of filters created (later filters will share the same information). */
     private boolean first = true;
     /** Prevent any changes we make in the class from causing events which we then process causing events... */
@@ -60,5 +60,5 @@
     /** A reference to ourselves so inner classes can refer to us. */
     private Filter this_filter = null;
-    /** The check box to enabled/diable filter. */
+    /** The check box to enable/disable filter. */
     private JCheckBox checkbox = null;
     /** The editable combobox where you either choose a predefined filter, or type a new pseudo-regular expression. */
@@ -74,12 +74,12 @@
     /** Constructor.
      * @param tree A reference to the <strong>JTree</strong> being affected.
-	  */
+     */
     public Filter(DragTree tree) {
 	this(tree, null);
     }
     /** Constructor.
-	  * @param tree A reference to the <strong>JTree</strong> being affected.
-	  * @param others An <strong>ArrayList</strong> of the other Filters already in this run.
-	  */
+     * @param tree A reference to the <strong>JTree</strong> being affected.
+     * @param others An <strong>ArrayList</strong> of the other Filters already in this run.
+     */
     public Filter(DragTree tree, ArrayList others) {
 	super();
@@ -119,6 +119,6 @@
     }
     /** Retrieve the combobox associated with this filter.
-	  * @return A <strong>GComboBox</strong>.
-	  */
+     * @return A <strong>GComboBox</strong>.
+     */
     public GComboBox getComboBox() {
 	return combobox;
@@ -126,6 +126,6 @@
 
     /** Change the background color of the filter. 
-	  * @param color The new background <strong>Color</strong>.
-	  */
+     * @param color The new background <strong>Color</strong>.
+     */
     public void setBackground(Color color) {
 	super.setBackground(color);
@@ -133,6 +133,6 @@
 
     /** Used to restore the filter state to enabled, the normal state during collection editing. 
-	  * @param state The new state for the filter. <i>true</i> for enabled, <i>false</i> otherwise.
-	  */
+     * @param state The new state for the filter. <i>true</i> for enabled, <i>false</i> otherwise.
+     */
     public void setEnabled(boolean state) {
 	ignore = true;
@@ -142,12 +142,12 @@
     }
     /** Set the combobox model for this filter.
-	  * @param model The new <strong>ComboBoxModel</strong> to use.
-	  */
+     * @param model The new <strong>ComboBoxModel</strong> to use.
+     */
     public void setComboBoxModel(ComboBoxModel model) {
 	combobox.setModel(model);
     }
     /** Ensure that a certain entry is selected from the combobox.
-	  * @param selection The <strong>Entry</strong> that should be selected.
-	  */
+     * @param selection The <strong>Entry</strong> that should be selected.
+     */
     public void setComboBoxSelection(Entry selection) {
 	ignore = true;
@@ -156,13 +156,13 @@
     }
     /** Set to signify that this filter is the first in a new run of filters.
-	  * @param first <i>true</i> if this is the first filter in a run, <i>false</i> if it will just be added to the current run.
-	  */
+     * @param first <i>true</i> if this is the first filter in a run, <i>false</i> if it will just be added to the current run.
+     */
     public void setFirst(boolean first) {
 	this.first = first;
     }
     /** Spawn produces a copy of this filter, which has new controls, but shares listeners wih this filter, and vice versa. Thus we can have two synchronized, but differing sets of controls.
-	  * @param tree_spawn The <strong>JTree</strong> this filter will affect.
-	  * @return A new <strong>Filter</strong> which is in the same run as this filter.
-	  */
+     * @param tree_spawn The <strong>JTree</strong> this filter will affect.
+     * @return A new <strong>Filter</strong> which is in the same run as this filter.
+     */
     public Filter spawn(DragTree tree_spawn) {
 	Filter filter = new Filter(tree_spawn, others);
@@ -173,15 +173,15 @@
     }
     /** Retrieve a phrase from the dictionary.
-	  * @param key The unique identification <strong>String</strong> of a phrase from the dictionary.
-	  */
+     * @param key The unique identification <strong>String</strong> of a phrase from the dictionary.
+     */
     private String get(String key) {
 	return get(key, null);
     }
     /** Retrieve a phrase from the dictionary, augmenting with the given text fragments
-	  * @param key The unique identification <strong>String</strong> of a phrase from the dictionary.
-	  * @param args A <strong>String[]</strong> of arguments to be used to fill out parameter fields in the phrase returned.
-	  * @see org.greenstone.gatherer.Dictionary
-	  * @see org.greenstone.gatherer.Gatherer
-	  */
+     * @param key The unique identification <strong>String</strong> of a phrase from the dictionary.
+     * @param args A <strong>String[]</strong> of arguments to be used to fill out parameter fields in the phrase returned.
+     * @see org.greenstone.gatherer.Dictionary
+     * @see org.greenstone.gatherer.Gatherer
+     */
     private String get(String key, String args[]) {
 	if(key.indexOf(".") == -1) {
@@ -191,7 +191,7 @@
     }
     /** Encode an expression in pseudo-regular expression into regular expression.
-	  * @param raw The pseudo-regular expression <strong>String</strong> which includes several characters which differ in meaning from regular expression queries.
-	  * @return A proper regular expression as a <strong>String</strong>.
-	  */
+     * @param raw The pseudo-regular expression <strong>String</strong> which includes several characters which differ in meaning from regular expression queries.
+     * @return A proper regular expression as a <strong>String</strong>.
+     */
     private String encode(String raw) {
 	StringBuffer working = new StringBuffer();
@@ -234,5 +234,5 @@
     private class ComboBoxListener
 	implements ActionListener {
-/** Called when a new item is selected from the filter combobox, we treat the new entry as a pseudo-regular expression, compile it and then apply it to the tree.
+	/** Called when a new item is selected from the filter combobox, we treat the new entry as a pseudo-regular expression, compile it and then apply it to the tree.
 	 * @param event An <strong>ActionEvent</strong> containing more information about the change performed.
 	 * @see org.greenstone.gatherer.gui.Filter.Entry
@@ -297,7 +297,7 @@
 	}
 	/** Constructor.
-			* @param name The name of this entry as a <strong>String</strong>.
-			* @param pattern The compiled regular expression as a <strong>Pattern</strong>.
-			*/
+	 * @param name The name of this entry as a <strong>String</strong>.
+	 * @param pattern The compiled regular expression as a <strong>Pattern</strong>.
+	 */
 	public Entry(String name, Pattern pattern) {
 	    this.name = name;
@@ -305,19 +305,19 @@
 	}
 	/** Compare two Entrys for ordering.
-			* @param object The other Entry to compare to, as an <strong>Object</strong>.
-			* @return An <i>int</i> indicating the respective ordering, as defined in java.lang.String#compareTo
-			*/
+	 * @param object The other Entry to compare to, as an <strong>Object</strong>.
+	 * @return An <i>int</i> indicating the respective ordering, as defined in java.lang.String#compareTo
+	 */
 	public int compareTo(Object object) {
 	    return toString().compareTo(object.toString());
 	}
 	/** Retrieve the pattern associated with this entry.
-			* @return The <strong>Pattern</strong>.
-			*/
+	 * @return The <strong>Pattern</strong>.
+	 */
 	public Pattern getPattern() {
 	    return pattern;
 	}
 	/** Translate this entry into a textual representation.
-			* @return A <strong>String</strong> containing the representation.
-			*/
+	 * @return A <strong>String</strong> containing the representation.
+	 */
 	public String toString() {
 	    String result = null;
Index: trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/GUIManager.java	(revision 5527)
@@ -105,5 +105,5 @@
     /** The metaedit pane is used to assign, edit and remove metadata from files within the collection. */
     public MetaEditPane metaedit_pane = null;
-    /** The mirror pane contains controls for mirroring interent sites. */
+    /** The mirror pane contains controls for mirroring internet sites. */
     public MirrorPane mirror_pane = null;
     /** The preview pane contains a preview of your build collection. */
@@ -413,5 +413,5 @@
 	    browser_pane = new BrowsingPane();
 	    if(Gatherer.config.get("workflow.browse", true)) {
-		tab_pane.addTab(get("Browser"), Utility.getImage("browsing.gif"), browser_pane);
+		tab_pane.addTab("GUI.Hunt", Utility.getImage("browsing.gif"), browser_pane);
 		tab_pane.setEnabledAt(tab_pane.indexOfComponent(browser_pane), Gatherer.config.get("workflow.browse", false));
 	    }
@@ -419,5 +419,5 @@
 	    mirror_pane = new MirrorPane();
 	    if(Gatherer.config.get("workflow.mirror", true)) {
-		tab_pane.addTab(get("Mirroring"), Utility.getImage("mirroring.gif"), mirror_pane);
+		tab_pane.addTab("GUI.Mirror", Utility.getImage("mirroring.gif"), mirror_pane);
 		tab_pane.setEnabledAt(tab_pane.indexOfComponent(mirror_pane), Gatherer.config.get("workflow.mirror", false));
 	    }
@@ -426,5 +426,5 @@
 	    collection_pane.display();
 	    if(Gatherer.config.get("workflow.gather", true)) {
-		tab_pane.addTab(get("Collection"), Utility.getImage("collection.gif"), collection_pane);
+		tab_pane.addTab("GUI.Gather", Utility.getImage("collection.gif"), collection_pane);
 		tab_pane.setEnabledAt(tab_pane.indexOfComponent(collection_pane), Gatherer.config.get("workflow.gather", false));
 	    }
@@ -433,5 +433,5 @@
 	    metaedit_pane.display();
 	    if(Gatherer.config.get("workflow.enrich", true)) {
-		tab_pane.addTab(get("MetaEdit"), Utility.getImage("metaedit.gif"), metaedit_pane);
+		tab_pane.addTab("GUI.Enrich", Utility.getImage("metaedit.gif"), metaedit_pane);
 		tab_pane.setEnabledAt(tab_pane.indexOfComponent(metaedit_pane), false);
 	    }
@@ -440,10 +440,10 @@
 	    config_pane.display();
 	    if(Gatherer.config.get("workflow.design", true)) {
-		tab_pane.addTab(get("Build"), Utility.getImage("build.gif"), config_pane);
+		tab_pane.addTab("GUI.Design", Utility.getImage("build.gif"), config_pane);
 		tab_pane.setEnabledAt(tab_pane.indexOfComponent(config_pane), false);
 	    }
 
 	    if(Gatherer.config.get("workflow.export", true)) {
-		tab_pane.addTab(get("Export"), Utility.getImage("export.gif"), export_pane);
+		tab_pane.addTab("GUI.Export", Utility.getImage("export.gif"), export_pane);
 		tab_pane.setEnabledAt(tab_pane.indexOfComponent(export_pane), false);
 	    }
@@ -452,5 +452,5 @@
 	    create_pane.display();
 	    if(Gatherer.config.get("workflow.create", true)) {
-		tab_pane.addTab(get("Create"), Utility.getImage("build session.gif"), create_pane);
+		tab_pane.addTab("GUI.Create", Utility.getImage("build session.gif"), create_pane);
 		tab_pane.setEnabledAt(tab_pane.indexOfComponent(create_pane), false);
 	    }
@@ -459,5 +459,5 @@
 	    preview_pane.display();
 	    if(Gatherer.config.get("workflow.preview", true)) {
-		tab_pane.addTab(get("Preview"), Utility.getImage("final.gif"), preview_pane);
+		tab_pane.addTab("GUI.Preview", Utility.getImage("final.gif"), preview_pane);
 		tab_pane.setEnabledAt(tab_pane.indexOfComponent(preview_pane), false);
 	    }
@@ -472,4 +472,5 @@
 	    }
 
+	    Gatherer.dictionary.register(tab_pane, null, false);
 	    content_pane.add(tab_pane, BorderLayout.CENTER);
 	    // Drive a sessionReady event to update all controls to reflect current collection status.
@@ -499,5 +500,5 @@
     public Filter getFilter(DragTree tree) {
 	Filter filter = (Filter) filters.get(tree.getModel());
-	if(filter == null) {
+	if (filter == null) {
 	    filter = new Filter(tree, null);
 	    filters.put(tree.getModel(), filter);
@@ -534,6 +535,6 @@
 
     /** Allows the system to programatically set the selected tab.
-	  * @param component The view you wish to make visable in the tab pane as a <strong>Component</strong>.
-	  */
+     * @param component The view you wish to make visable in the tab pane as a <strong>Component</strong>.
+     */
     public void setSelectedView(Component component) {
 	tab_pane.setSelectedComponent(component);
@@ -558,5 +559,5 @@
 		tab_pane.setEnabledAt(index, state);
 	    }
-				// If this was the currently selected tab and it is now disabled, change the view to the first enabled tab.
+	    // If this was the currently selected tab and it is now disabled, change the view to the first enabled tab.
 	    if(tab_pane.getSelectedIndex() == index && !state) {
 		boolean found = false;
@@ -580,5 +581,5 @@
 
     /** When the edit metadata option is choosen from the menu, this method is called to ensure we only edit the metadata if there is metadata loaded.
-	  */
+     */
     public void showEditMetadataBox() {
 	if(Gatherer.c_man.getCollection() != null) {
@@ -587,5 +588,5 @@
     }
     /** When the load collection option is choosen this method is called to produce the modal file load prompt.
-	  */
+     */
     public boolean showLoadCollectionBox() {
 	boolean result = false;
@@ -638,10 +639,10 @@
     }
     /** When called this method causes the Log class in Gatherer to display a nice dialog box which contains the log.
-	  */
+     */
     public void showLogBox() {
 	Gatherer.log.display();
     }
     /** When called this method causes the MetaAuditBox class in CollectionManager to display a nice dialog box which contains all the metadata assigned in the collection.
-	  */
+     */
     public void showMetaAuditBox() {
 	wait(true);
@@ -718,11 +719,11 @@
 
     /** This method is used to open the options box on the screen.
-	  */
+     */
     public void showOptionsBox() {
 	new OptionsBox();
     }
     /** This method is used to open the save collection box/prompt on the screen.
-	  * @return A <i>boolean</i> which is <i>true</i> if the collection was saved successfully, <i>false</i> otherwise.
-	  */
+     * @return A <i>boolean</i> which is <i>true</i> if the collection was saved successfully, <i>false</i> otherwise.
+     */
     public boolean showSaveCollectionBox(boolean close_after, boolean exit_after) {
 	//SaveCollectionBox save_collection_box = new SaveCollectionBox();
@@ -762,6 +763,6 @@
     }
     /** Any implementation of ChangeListener must include this method so we can be informed when the state of one of the registered objects changes. In this case we are listening to view changes within the tabbed pane.
-	  * @param event A ChangeEvent containing information about the event that fired this call.
-	  */
+     * @param event A ChangeEvent containing information about the event that fired this call.
+     */
     public void stateChanged(ChangeEvent event) {
 	if(previous_pane != null) {
@@ -825,17 +826,17 @@
 
     /** Retrieves a phrase from the Dictionary based on the key.
-	  * @param key A <strong>String</strong> uniquely identifying a phrase from the Dictionary.
-	  * @return The desired phrase as a <strong>String</strong>.
-	  * @see org.greenstone.gatherer.Dictionary
-	  */
+     * @param key A <strong>String</strong> uniquely identifying a phrase from the Dictionary.
+     * @return The desired phrase as a <strong>String</strong>.
+     * @see org.greenstone.gatherer.Dictionary
+     */
     private String get(String key) {
 	return get(key, null);
     }
     /** Retrieves a phrase from the Dictionary based on the key and including the arguments.
-	  * @param key A <strong>String</strong> uniquely identifying a phrase from the Dictionary.
-	  * @param args A <strong>String[]</strong> of arguments available to be inserted into the phrase.
-	  * @return The desired phrase as a <strong>String</strong>.
-	  * @see org.greenstone.gatherer.Dictionary
-	  */
+     * @param key A <strong>String</strong> uniquely identifying a phrase from the Dictionary.
+     * @param args A <strong>String[]</strong> of arguments available to be inserted into the phrase.
+     * @return The desired phrase as a <strong>String</strong>.
+     * @see org.greenstone.gatherer.Dictionary
+     */
     private String get(String key, String args[]) {
 	if(key.indexOf('.') == -1) {
@@ -862,6 +863,6 @@
 
     /**Overridden from JFrame so we can exit safely when window is closed (or destroyed).
-	  * @param event A <strong>WindowEvent</strong> containing information about the event that fred this call.
-	  */
+     * @param event A <strong>WindowEvent</strong> containing information about the event that fired this call.
+     */
     protected void processWindowEvent(WindowEvent event) {
 	if(event.getID() == WindowEvent.WINDOW_CLOSING) {
@@ -870,20 +871,20 @@
     }
     /** Listens to actions upon the menu bar, and if it detects a click over the help menu brings the help window to the front if it has become hidden.
-	  */
+     */
     private class MenuListenerImpl
 	implements MenuListener {
 	/** Called whenever a popup menu is hidden, but we don't care.
 	 * @param e Some <strong>MenuEvent</strong> that we could care less about.
-			*/
+	 */
 	public void menuCanceled(MenuEvent e) {
 	}
 	/** Called whenever a menu header (ie button) becomes unselected, but we don't care.
-			* @param e Some <strong>MenuEvent</strong> that we could care less about.
-			*/
+	 * @param e Some <strong>MenuEvent</strong> that we could care less about.
+	 */
 	public void menuDeselected(MenuEvent e) {
 	}
 	/** This method, when a menu is first opened, is the only one we respond to by bringing the help window to the front if possible, but only if there is a help window and the help menu is the one opening.
-			* @param e The <strong>MenuEvent</strong> whose source is checked.
-			*/
+	 * @param e The <strong>MenuEvent</strong> whose source is checked.
+	 */
 	public void menuSelected(MenuEvent e) {
 	    if(e.getSource() == menu_bar.help) {
Index: trunk/gli/src/org/greenstone/gatherer/gui/LockFileDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/LockFileDialog.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/LockFileDialog.java	(revision 5527)
@@ -34,5 +34,5 @@
 	super(parent, get("LockFileDialog.Title"), true);
 	setSize(SIZE);
-	setJMenuBar(new SimpleMenuBar("2.3"));
+	setJMenuBar(new SimpleMenuBar("openingacollection"));
 	this.self = this;
 	// Parse the lock file, but do so quietly so that if the XML is poorly formed it doesn't show exception.
Index: trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 5527)
@@ -225,5 +225,5 @@
 	help_about.addActionListener(Gatherer.g_man);
 
-	help_browse = new JMenuItem(get("GUI.Browser"), Utility.BLANK_ICON);
+	help_browse = new JMenuItem(get("GUI.Hunt"), Utility.BLANK_ICON);
 	help_browse.addActionListener(Gatherer.g_man);
 
@@ -231,8 +231,8 @@
 	help_build.addActionListener(Gatherer.g_man);
 
-	help_collect = new JMenuItem(get("GUI.Collection"), Utility.BLANK_ICON);
+	help_collect = new JMenuItem(get("GUI.Gather"), Utility.BLANK_ICON);
 	help_collect.addActionListener(Gatherer.g_man);
 
-	help_design = new JMenuItem(get("GUI.Build"), Utility.BLANK_ICON);
+	help_design = new JMenuItem(get("GUI.Design"), Utility.BLANK_ICON);
 	help_design.addActionListener(Gatherer.g_man);
 
@@ -243,8 +243,8 @@
 	help_general.addActionListener(Gatherer.g_man);
 
-	help_metaedit = new JMenuItem(get("GUI.MetaEdit"), Utility.BLANK_ICON);
+	help_metaedit = new JMenuItem(get("GUI.Enrich"), Utility.BLANK_ICON);
 	help_metaedit.addActionListener(Gatherer.g_man);
 
-	help_mirror = new JMenuItem(get("GUI.Mirroring"), Utility.BLANK_ICON);
+	help_mirror = new JMenuItem(get("GUI.Mirror"), Utility.BLANK_ICON);
 	help_mirror.addActionListener(Gatherer.g_man);
 
@@ -325,8 +325,8 @@
 
     /** In order to provide context aware help advice we keep track of which
-	  *  tab the user has open, and then highlight that help menu item with
-	  *  separators.
-	  *  @param tab_index The index of the selected tab (0-7).
-	  */
+     *  tab the user has open, and then highlight that help menu item with
+     *  separators.
+     *  @param tab_index The index of the selected tab (0-7).
+     */
     public void tabSelected(int tab_index) {
 	JMenuItem selected;
@@ -347,27 +347,28 @@
 	 
     /** Retrieves a key from the Dictionary, using no extra arguments.
-	  * @param key A String which maps to a certain phrase from the Dictionary.
-	  * @return The String the matches the key or an error String if no match
-	  * found.
-	  */
+     * @param key A String which maps to a certain phrase from the Dictionary.
+     * @return The String the matches the key or an error String if no match
+     * found.
+     */
     private String get(String key) {
-	return get(key, null);
+	// return get(key, null);
+	return Gatherer.dictionary.get(key, (String[]) null);
     }
 
     /** Retrieves a key from the Dictionary, providing extra arguments to
-	  * be inserted using a String array.
-	  * @param key A String which maps to a certain phrase from the Dictionary.
-	  * @param args A String array containing further arguments (such as
-	  * formatting instructions and variable values) to be taken into account
-	  * when Dictionary creates the return String.
-	  * @return The String the matches the key or an error String if no match
-	  * found.
-	  */
-    private String get(String key, String args[]) {
+     * be inserted using a String array.
+     * @param key A String which maps to a certain phrase from the Dictionary.
+     * @param args A String array containing further arguments (such as
+     * formatting instructions and variable values) to be taken into account
+     * when Dictionary creates the return String.
+     * @return The String the matches the key or an error String if no match
+     * found.
+     */
+    /* private String get(String key, String args[]) {
 	if(key.indexOf('.') == -1) {
 	    key = "Menu." + key;
 	}
 	return Gatherer.dictionary.get(key, args);
-    }
+	} */
 
     public class MagicMenuItem
Index: trunk/gli/src/org/greenstone/gatherer/gui/MetaEditPane.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/MetaEditPane.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/MetaEditPane.java	(revision 5527)
@@ -128,14 +128,15 @@
 
     /** Constructor.
-     * @param tree_sync The <strong>TreeSynchronizer</strong> to be used on the collection tree.
+     * @param tree_sync The <strong>TreeSynchronizer</strong> to be used on the collection tree
      * @see org.greenstone.gatherer.Configuration
      * @see org.greenstone.gatherer.gui.table.GTable
      * @see org.greenstone.gatherer.valuetree.GValueTree
      */
-    public MetaEditPane(TreeSynchronizer tree_sync) {
+    public MetaEditPane(TreeSynchronizer tree_sync)
+    {
 	this.tree = null;
 	this.tree_sync = tree_sync;
-		  
-	add = new JButton(get("MetaEditPrompt.Accumulate"));
+
+	add = new JButton("MetaEdit.Accumulate");
 	add.addActionListener(this);
 	add.setEnabled(false);
@@ -143,5 +144,5 @@
 	add.setPreferredSize(BUTTON_SIZE);
 
-	update = new JButton(get("MetaEditPrompt.Overwrite"));
+	update = new JButton("MetaEdit.Overwrite");
 	update.addActionListener(this);
 	update.setEnabled(false);
@@ -149,5 +150,5 @@
 	update.setPreferredSize(BUTTON_SIZE);
 
-	remove = new JButton(get("MetaEditPrompt.Remove"));
+	remove = new JButton("MetaEdit.Remove");
 	remove.addActionListener(this);
 	remove.setEnabled(false);
@@ -155,5 +156,5 @@
 	remove.setPreferredSize(BUTTON_SIZE);
 
-	expand = new JButton(get("General.Expand"));
+	expand = new JButton("MetaEdit.Expand");
 	expand.addActionListener(this);
 	expand.setEnabled(true);
@@ -162,5 +163,12 @@
 
 	tree = new GValueTree(CONTROL_SIZE.width, CONTROL_SIZE.height);
-    }
+
+	// Dictionary registration
+	Gatherer.dictionary.register(add, null, false);
+	Gatherer.dictionary.register(update, null, false);
+	Gatherer.dictionary.register(remove, null, false);
+	Gatherer.dictionary.register(expand, null, false);
+    }
+
 
     /** Called whenever an action occurs on one of our registered buttons.
@@ -175,17 +183,17 @@
     public void actionPerformed(ActionEvent event) {
 	Object esrc = event.getSource();
-	if(esrc == add) {
+	if (esrc == add) {
 	    (new AppendMetadataTask()).start();
 	}
-	else if(esrc == update) {
+	else if (esrc == update) {
 	    (new UpdateMetadataTask()).start();
 	}
-	else if(esrc == remove) {
+	else if (esrc == remove) {
 	    (new RemoveMetadataTask()).start();
 	}
-	else if(esrc == expand) {
+	else if (esrc == expand) {
 	    EditorDialog ed = new EditorDialog();
 	    String temp = ed.display(tree.getSelectedValue());
-	    if(temp != null) {
+	    if (temp != null) {
 		tree.setSelectedValue(temp);
 	    }
@@ -408,6 +416,5 @@
 	JPanel table_title_pane = new JPanel();
 
-	///atherer.println("\tCreating metadata_label");
-	table_label = new JTextField(get("MetaEdit.No_File"));
+	table_label = new JTextField("MetaEdit.No_File");
 	table_label.setBackground(Gatherer.config.getColor("coloring.collection_tree_background", false));
 	table_label.setEditable(false);
@@ -419,14 +426,14 @@
 	JPanel table_pane_zero = new JPanel();
 	table_pane_zero.setOpaque(false);
-	
+
 	JPanel table_pane_two = new JPanel();
 	table_pane_two.setOpaque(false);
 
-	JLabel no_file_message = new JLabel(get("MetaEdit.No_File"));
+	JLabel no_file_message = new JLabel("MetaEdit.No_File");
 	no_file_message.setHorizontalAlignment(JLabel.CENTER);
 	no_file_message.setOpaque(false);
 	no_file_message.setVerticalAlignment(JLabel.CENTER);
-	
-	JLabel no_metadata_message = new JLabel(get("MetaEdit.No_Metadata"));
+
+	JLabel no_metadata_message = new JLabel("MetaEdit.No_Metadata");
 	no_metadata_message.setHorizontalAlignment(JLabel.CENTER);
 	no_metadata_message.setOpaque(false);
@@ -476,5 +483,5 @@
 	JPanel tools_off_pane = new JPanel();
 
-	JLabel tools_off_label = new JLabel(get("MetaEdit.No_Metadata_Element"));
+	JLabel tools_off_label = new JLabel("MetaEdit.No_Metadata_Element");
 	tools_off_label.setHorizontalAlignment(JLabel.CENTER);
 	tools_off_label.setOpaque(false);
@@ -531,4 +538,10 @@
 	this.setLayout(new BorderLayout());
 	this.add(external_split, BorderLayout.CENTER);
+
+	// Dictionary registration
+	Gatherer.dictionary.register(table_label, null, false);
+	Gatherer.dictionary.register(no_file_message, null, false);
+	Gatherer.dictionary.register(no_metadata_message, null, false);
+	Gatherer.dictionary.register(tools_off_label, null, false);
     }
 
@@ -1006,5 +1019,6 @@
 
 
-	public GValueTree(int width, int height) {
+	public GValueTree(int width, int height)
+	{
 	    super();
 
@@ -1015,9 +1029,9 @@
 
 	    JPanel value_pane = new JPanel();
-	    JLabel value_label = new JLabel(get("MetaEdit.Value"));
+	    JLabel value_label = new JLabel("MetaEdit.Value");
 	    value_label.setPreferredSize(VALUE_LABEL_SIZE);
 
 	    JPanel value_field_pane = new JPanel();
-	    value = new JTextField();
+	    value = new JTextField("MetaEdit.Value_Field");
 	    value.setBackground(Gatherer.config.getColor("coloring.editable_background", false));
 	    value.setForeground(Gatherer.config.getColor("coloring.editable_foreground", false));
@@ -1030,5 +1044,5 @@
 
 	    JPanel tree_pane = new JPanel();
-	    JLabel tree_label = new JLabel(get("MetaEdit.Tree"));
+	    JLabel tree_label = new JLabel("MetaEdit.Tree");
 
 	    tree = new JTree(new GValueModel());
@@ -1048,5 +1062,4 @@
 
 	    // Layout
-
 	    value_field_pane.setBorder(BorderFactory.createEmptyBorder(0,0,0,5));
 	    value_field_pane.setLayout(new BorderLayout(0, 0));
@@ -1083,4 +1096,9 @@
 	    this.add(extracted_pane, NONE);
 	    card_showing = TREE;
+
+	    // Dictionary registration
+	    Gatherer.dictionary.register(value_label, null, false);
+	    Gatherer.dictionary.register(value, null, false);
+	    Gatherer.dictionary.register(tree_label, null, false);
 	}
 
@@ -1174,12 +1192,5 @@
 
 
-	private String get(String key) {
-	    return get(key, null);
-	}
-
 	private String get(String key, String args[]) {
-	    if (key.indexOf('.') == -1) {
-		key = "MetaEdit." + key;
-	    }
 	    return Gatherer.dictionary.get(key, args);
 	}
Index: trunk/gli/src/org/greenstone/gatherer/gui/MetaEditPrompt.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/MetaEditPrompt.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/MetaEditPrompt.java	(revision 5527)
@@ -30,10 +30,9 @@
 import java.io.File;
 import javax.swing.*;
-import org.greenstone.gatherer.Configuration;
 import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.TextFieldLabel;
-import org.greenstone.gatherer.util.Utility;
 import org.greenstone.gatherer.gui.SimpleMenuBar;
 import org.greenstone.gatherer.gui.ModalDialog;
+import org.greenstone.gatherer.util.Utility;
 
 /** Displays a dynamic prompt to allow the user to choose how metadata is to be added, updated or removed from target FileNodes. The prompt changes depending on the action requested, the file nodes encountered and the number of file nodes in the selection. */
@@ -75,16 +74,26 @@
     public MetaEditPrompt(String type, boolean multiple_selection, File file, String element, String current_value, String new_value) {
 	super(Gatherer.g_man, true); // Needed for modal response!
-		  
+
 	// Setup
 	this.setSize(SIZE);
-	this.setTitle(get("MetaEditPrompt.Title"));
-	this.setJMenuBar(new SimpleMenuBar("6.3"));
+	this.setTitle("MetaEditPrompt.Title");
+
+	if (type.equals(ADD_PROMPT)) {
+	    this.setJMenuBar(new SimpleMenuBar("appendingmetadata"));
+	}
+	else if (type.equals(UPDATE_PROMPT)) {
+	    this.setJMenuBar(new SimpleMenuBar("updatingmetadata"));
+	}
+	else if (type.equals(REMOVE_PROMPT)) {
+	    this.setJMenuBar(new SimpleMenuBar("removingmetadata"));
+	}
+
 	// Creation
 	JPanel content_pane = (JPanel)this.getContentPane();
-	JLabel title_label = new JLabel(get("MetaEditPrompt." + type));
+	JLabel title_label = new JLabel(type);
 
 	JPanel details_pane = new JPanel();
 	JPanel filename_panel = new JPanel();
-	JLabel filename_label = new JLabel(get("MetaEditPrompt.File"));
+	JLabel filename_label = new JLabel("MetaEditPrompt.File");
 	filename_label.setPreferredSize(LABEL_SIZE);
 	TextFieldLabel filename_field = new TextFieldLabel(Utility.trimCenter(file.getAbsolutePath(), 120));
@@ -92,42 +101,50 @@
 	filename_field.setBackground(Gatherer.config.getColor("coloring.collection_tree_background", false));
 	JPanel element_panel = new JPanel();
-	JLabel element_label = new JLabel(get("MetaEditPrompt.Element"));
+	JLabel element_label = new JLabel("MetaEditPrompt.Element");
 	element_label.setPreferredSize(LABEL_SIZE);
 	TextFieldLabel element_field = new TextFieldLabel(element);	
 	element_field.setBackground(Gatherer.config.getColor("coloring.collection_tree_background", false));
 	JPanel current_value_panel = new JPanel();
-	JLabel current_value_label = new JLabel(get("MetaEditPrompt.Current_Value"));
+	JLabel current_value_label = new JLabel("MetaEditPrompt.Current_Value");
 	current_value_label.setPreferredSize(LABEL_SIZE);
 	TextFieldLabel current_value_field = new TextFieldLabel(current_value);
 	current_value_field.setBackground(Gatherer.config.getColor("coloring.collection_tree_background", false));
 	JPanel new_value_panel = new JPanel();
-	JLabel new_value_label = new JLabel(get("MetaEditPrompt.New_Value"));
+	JLabel new_value_label = new JLabel("MetaEditPrompt.New_Value");
 	new_value_label.setPreferredSize(LABEL_SIZE);
 	TextFieldLabel new_value_field = new TextFieldLabel(new_value, (type == ADD_PROMPT || type == UPDATE_PROMPT));
 	new_value_field.setBackground(Gatherer.config.getColor("coloring.collection_tree_background", false));
 	JPanel buttons_pane = new JPanel();
-	accumulate = new JButton(get("MetaEditPrompt.Accumulate"));
+
+	accumulate = new JButton("MetaEditPrompt.Accumulate");
 	accumulate.setEnabled(type == ADD_PROMPT);
 	accumulate.setMnemonic(KeyEvent.VK_A);
-	accumulate_all = new JButton(get("MetaEditPrompt.Accumulate_All"));
+
+	accumulate_all = new JButton("MetaEditPrompt.Accumulate_All");
 	accumulate_all.setEnabled(type == ADD_PROMPT && multiple_selection);
 	accumulate_all.setMnemonic(KeyEvent.VK_L);
-	cancel = new JButton(get("MetaEditPrompt.Cancel"));
-	cancel.setMnemonic(KeyEvent.VK_C);
-	skip = new JButton(get("MetaEditPrompt.Skip"));
+
+	overwrite = new JButton("MetaEditPrompt.Overwrite");
+	overwrite.setEnabled(type == UPDATE_PROMPT);
+	overwrite.setMnemonic(KeyEvent.VK_R);
+
+	overwrite_all = new JButton("MetaEditPrompt.Overwrite_All");
+	overwrite_all.setEnabled(type == UPDATE_PROMPT && multiple_selection);
+	overwrite_all.setMnemonic(KeyEvent.VK_P);
+
+	remove = new JButton("MetaEditPrompt.Remove");
+	remove.setEnabled(type == REMOVE_PROMPT);
+	remove.setMnemonic(KeyEvent.VK_R);
+
+	remove_all = new JButton("MetaEditPrompt.Remove_All");
+	remove_all.setEnabled(type == REMOVE_PROMPT && multiple_selection);
+	remove_all.setMnemonic(KeyEvent.VK_A);
+
+	skip = new JButton("MetaEditPrompt.Skip");
 	skip.setEnabled(multiple_selection);
 	skip.setMnemonic(KeyEvent.VK_S);
-	overwrite = new JButton(get("MetaEditPrompt.Overwrite"));
-	overwrite.setEnabled(type == UPDATE_PROMPT);
-	overwrite.setMnemonic(KeyEvent.VK_R);
-	overwrite_all = new JButton(get("MetaEditPrompt.Overwrite_All"));
-	overwrite_all.setEnabled(type == UPDATE_PROMPT && multiple_selection);
-	overwrite_all.setMnemonic(KeyEvent.VK_P);
-	remove = new JButton(get("MetaEditPrompt.Remove"));
-	remove.setEnabled(type == REMOVE_PROMPT);
-	remove.setMnemonic(KeyEvent.VK_R);
-	remove_all = new JButton(get("MetaEditPrompt.Remove_All"));
-	remove_all.setEnabled(type == REMOVE_PROMPT && multiple_selection);
-	remove_all.setMnemonic(KeyEvent.VK_A);
+
+	cancel = new JButton("MetaEditPrompt.Cancel");
+	cancel.setMnemonic(KeyEvent.VK_C);
 
 	// Connection
@@ -187,4 +204,20 @@
 	Rectangle frame_bounds = Gatherer.g_man.getBounds();
 	this.setLocation(frame_bounds.x + ((frame_bounds.width - SIZE.width) / 2), frame_bounds.y + ((frame_bounds.height - SIZE.height) / 2));
+
+	// Dictionary registration
+	Gatherer.dictionary.register(title_label, null, false);
+	Gatherer.dictionary.register(filename_label, null, false);
+	Gatherer.dictionary.register(element_label, null, false);
+	Gatherer.dictionary.register(current_value_label, null, false);
+	Gatherer.dictionary.register(new_value_label, null, false);
+
+	Gatherer.dictionary.register(accumulate, null, false);
+	Gatherer.dictionary.register(accumulate_all, null, false);
+	Gatherer.dictionary.register(cancel, null, false);
+	Gatherer.dictionary.register(skip, null, false);
+	Gatherer.dictionary.register(overwrite, null, false);
+	Gatherer.dictionary.register(overwrite_all, null, false);
+	Gatherer.dictionary.register(remove, null, false);
+	Gatherer.dictionary.register(remove_all, null, false);
     }
 
@@ -222,7 +255,3 @@
 	return value;
     }
-
-    private String get(String key) {
-	return Gatherer.dictionary.get(key);
-    }
 }
Index: trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java	(revision 5527)
@@ -43,5 +43,5 @@
 	this.self = this;
 	// Setup
-	setJMenuBar(new SimpleMenuBar("2.1"));
+	setJMenuBar(new SimpleMenuBar("creatingacollection"));
 	setSize(size);
 	setTitle(get("NewCollectionPrompt.Title"));
Index: trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionMetadataPrompt.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionMetadataPrompt.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionMetadataPrompt.java	(revision 5527)
@@ -32,5 +32,5 @@
 	super(Gatherer.g_man, true);
 	this.self = this;
-	setJMenuBar(new SimpleMenuBar("2.1"));
+	setJMenuBar(new SimpleMenuBar("creatingacollection"));
 	setModal(true);
 	setSize(size);
Index: trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 5527)
@@ -62,5 +62,5 @@
 	setSize(SIZE);
 	setTitle("Preferences");
-	setJMenuBar(new SimpleMenuBar("10.2"));
+	setJMenuBar(new SimpleMenuBar("preferences"));
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
Index: trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/AutofilterDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/AutofilterDialog.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/AutofilterDialog.java	(revision 5527)
@@ -106,5 +106,5 @@
 	setSize(SIZE);
 	setTitle(get("Autofilter.Title"));
-	setJMenuBar(new SimpleMenuBar("6.7")); 
+	setJMenuBar(new SimpleMenuBar("reviewingmetadata")); 
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
Index: trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditFrame.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditFrame.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditFrame.java	(revision 5527)
@@ -108,5 +108,5 @@
 	setSize(SIZE);
 	setTitle(get("MetaAudit.Title"));
-	setJMenuBar(new SimpleMenuBar("6.7")); 
+	setJMenuBar(new SimpleMenuBar("reviewingmetadata")); 
 	JPanel content_pane = (JPanel) getContentPane();
 	JPanel button_pane = new JPanel();
Index: trunk/gli/src/org/greenstone/gatherer/mem/MetadataEditorManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/mem/MetadataEditorManager.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/mem/MetadataEditorManager.java	(revision 5527)
@@ -149,5 +149,5 @@
 	setSize(SIZE);
 	setTitle(get("MEM.Title"));
-	setJMenuBar(new SimpleMenuBar("11.1"));
+	setJMenuBar(new SimpleMenuBar("editingmetadatasets"));
 	JPanel content_pane = (JPanel) getContentPane();
 	content_pane.setBackground(Gatherer.config.getColor("coloring.collection_heading_background", false));
Index: trunk/gli/src/org/greenstone/gatherer/msm/MSMPrompt.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/msm/MSMPrompt.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/msm/MSMPrompt.java	(revision 5527)
@@ -195,5 +195,5 @@
      * @return An object, which is either an Integer specifying what further action should be undertaken, if any, or if the action was replace, returns an Element, which is the attribute Element to replace with the new one
      */
-    public Object mDEPrompt(Element mde_cur, Element []atts_cur, Element mde_new, Element att_new) {
+    public Object mDEPrompt(Element mde_cur, Element[] atts_cur, Element mde_new, Element att_new) {
 	action = Declarations.NO_ACTION;
 	// Construction and configuration
@@ -202,5 +202,5 @@
 	dialog.setSize(MDE_SIZE);
 	dialog.setTitle(get("MSMPrompt.Merge_MDE"));
-	dialog.setJMenuBar(new SimpleMenuBar("6.8"));
+	dialog.setJMenuBar(new SimpleMenuBar("importingpreviouslyassignedmetadata"));
 	JPanel content_pane = (JPanel)dialog.getContentPane();
 
@@ -305,5 +305,5 @@
 	dialog.setSize(MDS_SIZE);
 	dialog.setTitle(get("MSMPrompt.Merge_MDS"));
-	dialog.setJMenuBar(new SimpleMenuBar("6.8"));
+	dialog.setJMenuBar(new SimpleMenuBar("importingpreviouslyassignedmetadata"));
 	JPanel content_pane = (JPanel)dialog.getContentPane();
 	if(mde_cur != null) {
@@ -440,5 +440,5 @@
 	dialog.setSize(RENAME_SIZE);
 	dialog.setTitle(get("MSMPrompt.Rename"));
-	dialog.setJMenuBar(new SimpleMenuBar("6.8"));
+	dialog.setJMenuBar(new SimpleMenuBar("importingpreviouslyassignedmetadata"));
 	JLabel old_name_label = new JLabel(get("MSMPrompt.Old_Name"));
 	old_name_label.setPreferredSize(RENAME_LABEL_SIZE);
@@ -551,5 +551,5 @@
 	dialog.setSize(SELECT_SIZE);
 	dialog.setTitle(get("MSMPrompt.Select"));
-	dialog.setJMenuBar(new SimpleMenuBar("6.8"));
+	dialog.setJMenuBar(new SimpleMenuBar("importingpreviouslyassignedmetadata"));
 
 	JButton ok = new JButton(get("General.OK"));
@@ -627,5 +627,5 @@
 	dialog.setSize(SELECT_ELEMENT_SIZE);
 	dialog.setTitle(get("MSMPrompt.Select_Element_Title"));
-	dialog.setJMenuBar(new SimpleMenuBar("6.8"));
+	dialog.setJMenuBar(new SimpleMenuBar("importingpreviouslyassignedmetadata"));
 	JPanel content_pane = (JPanel) dialog.getContentPane();
 	JPanel control_pane = new JPanel();
@@ -812,5 +812,5 @@
 	dialog.setSize(SELECT_SET_SIZE);
 	dialog.setTitle(get("MSMPrompt.Select_Set_Title"));
-	dialog.setJMenuBar(new SimpleMenuBar("6.8"));
+	dialog.setJMenuBar(new SimpleMenuBar("importingpreviouslyassignedmetadata"));
 	JPanel content_pane = (JPanel) dialog.getContentPane();
 	JPanel control_pane = new JPanel();
Index: trunk/gli/src/org/greenstone/gatherer/sarm/SearchAndReplace.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/sarm/SearchAndReplace.java	(revision 5526)
+++ trunk/gli/src/org/greenstone/gatherer/sarm/SearchAndReplace.java	(revision 5527)
@@ -54,5 +54,4 @@
 import org.greenstone.gatherer.valuetree.GValueModel;
 import org.greenstone.gatherer.valuetree.GValueNode;
-import org.greenstone.gatherer.gui.SimpleMenuBar;
 import org.greenstone.gatherer.gui.ModalDialog;
 /** Provides a convenient class which searches through all of the various data attached to a collection, globally searching and replacing values as necessary, and firing the relevant events to have the gui update properly. 
@@ -138,5 +137,4 @@
 	setSize(SIZE);
 	setTitle(get("SearchAndReplace.Title"));
-	setJMenuBar(new SimpleMenuBar("10.1"));  
 	JPanel content_pane = (JPanel) getContentPane();
 
